<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id'])){
$id_ps = intval($_POST['id']);

$paysys = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,ti,ident,keys_out,active_out,out_type,out_min FROM `".DB_PREFIX."_pay_systems` WHERE id='$id_ps' LIMIT 1"));
if (empty($paysys['id'])) { wu_log_act(2, 'Пытался провести вывод средств на этапе обработки вывода с помощью несуществующей платёжной системы #'.wu_filter($_POST['id'])); exit('wu-error'); }

if ($paysys['active_out'] != 1) { wu_log_act(2, "Пытался провести вывод средств на этапе обработки вывода с помощью закрытой для вывода платёжной системы $paysys[ti]"); exit('wu-error'); }

//Проверка номера платёжной системы
$now_user = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,purse FROM `".DB_PREFIX."_users` WHERE uid='$u_id' LIMIT 1"));
$purses = explode('||', $now_user['purse']);
$purses_my = array();
foreach ($purses as $key => $val)
{
$now_purse = explode('::', $val);
$purses_my[$now_purse[0]] = $now_purse[1];
}

if (!isset($purses_my[$paysys['ident']])) { wu_log_act(1, "Пытался провести вывод средств на этапе обработки вывода с помощью не указанного номера платёжной системы $paysys[ti]"); exit('wu-error'); }
if (empty($purses_my[$paysys['ident']])) { wu_log_act(1, "Пытался провести вывод средств на этапе обработки вывода с помощью не указанного номера платёжной системы $paysys[ti]"); exit('wu-error'); }

//Проверка сумм
$sum = preg_replace("#[^\.0-9]+#i",'',$_POST['sum']);
$out_min = $paysys['out_min'];
$user_bal = $nowuser['bal'];
if ($sum <= 0) { wu_log_act(1, "Пытался провести вывод средств на платёжную систему $paysys[ti] с суммой ".wu_filter($_POST['sum'])." руб."); exit('2'); }
if ($sum < $out_min) { wu_log_act(1, "Пытался провести вывод средств на платёжную систему $paysys[ti] с суммой ".wu_filter($_POST['sum'])." руб. при минимуме к выводу $out_min руб."); exit('2'); }
if ($user_bal < $sum) { wu_log_act(1, "Пытался провести вывод средств на платёжную систему $paysys[ti] с суммой ".wu_filter($_POST['sum'])." руб, имея на балансе $user_bal руб."); exit('0'); }
$purse = $purses_my[$paysys['ident']];

//Вывод средств
if ($paysys['out_type'] == 0) {
$purse = mysqli_real_escape_string($connect_db, $purse);
mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_users` SET `bal` = `bal`-'$sum' WHERE uid = '$u_id' LIMIT 1");
mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_adm_cash_out` (usr,ps,n,s,dt) VALUES ('$u_id','$id_ps','$purse','$sum','$dt')");
wu_log_act(0, "Создал заявку на вывод средств с суммой ".wu_filter($_POST['sum'])." руб, платёжная система - $paysys[ti]");
exit('1');
}

if ($paysys['out_type'] == 1) {
//Инклуд выплат платёжной системы
require_once('wu_out_'.$paysys['ident'].'_do.php');
}
} else { wu_log_act(2, 'Пытался провести вывод средств на этапе обработки вывода с не выбрнной платёжной системой'); exit('wu-error'); }
?>